Skip to content

Update fulfillment order

POST
/merchants/{merchantCode}/fulfillmentOrders/{orderNumber}
curl --request POST \
--url 'https://order.shopgate.io/v1/merchants/example/fulfillmentOrders/example?includeInternalIds=false&getOriginalImageUrls=true' \
--header 'Content-Type: application/json' \
--data '{ "status": "new", "notes": "Please wrap each item individually.", "posTransactionId": "528a-1", "cancellationReason": "expired", "lineItems": [ { "id": 10, "status": "new", "quantity": 5, "quantityChangeReason": "wrongItem", "product": { "code": "24-MB02" } } ], "fulfillmentSlot": { "id": "5_2019-09-03" } }'

Update fulfillment order

merchantCode
required
string

Unique merchant code which represents the unique “merchant account”.

orderNumber
required
string

Unique order number

includeInternalIds
boolean

The entity gets extended with the internal ID of Shopgate, this query cannot be used by external clients.

fields
string format: csv

Available fields: salesOrder

getOriginalImageUrls
boolean
default: true
Media typeapplication/json
object
status
string
default: new
Allowed values: new requested accepted inProgress picked packed ready hold checkedIn canceled rejected fulfilled
notes

Customer notes where the shopper can provide special instructions. The notes are shown in the In-Store App & Admin.

string | null
<= 1000 characters
Example
Please wrap each item individually.
posTransactionId

Transaction id of the POS

string
Example
528a-1
cancellationReason
string
Allowed values: expired declined newPurchase tooBusy unavailableProducts other
lineItems
Array<object>
object
id

Line Item id of the item to update. In case of an insert this field is not required

number
Example
10
status
string
Allowed values: new requested accepted rejected canceled picked packed ready hold fulfilled
Example
new
quantity
number
Example
5
quantityChangeReason

Reason for a quantity change. Needs to be set if a new quantity is set. Deprecated reasons:

  • wrongAttribute
  • wrongProduct
  • changedMind
  • brokenOrDamaged
  • outOfStock
string
Allowed values: wrongItem wrongProduct wrongAttribute wrongQuantity changedMind customerCanceled brokenOrDamaged itemDamaged outOfStock outdatedStockInfo unavailable substituted other
product
object
code
string
Example
24-MB02
fulfillmentSlot
object
id
required

Id of the fulfillment slot

string
Example
5_2019-09-03

Fulfillment order updated

Media typeapplication/json

Order not found

Media typeapplication/json

Unexpected error

Media typeapplication/json
object
code

Machine readable error code

string
message
required

Human readable error code

string
Example
{
"code": "internal.database",
"message": "Internal Database Error"
}